Parallels RAS v19 System Requirements

0 users found this article helpful

For Parallels RAS v18 refer to this article: https://kb.parallels.com/en/124910

RAS Connection Broker and RAS Secure Gateway (64-bit versions only)

RAS Connection Broker and RAS Secure Gateway are supported on the following operating systems:

• Windows Server 2012 R2 up to Windows Server 2022

• On Windows Server 2016, 2019, and 2022 both Server Core and Desktop Experience installations are supported

Note: RAS Connection Broker and RAS Secure Gateway should not be installed on a domain controller or any other machine where a DHCP server is running. This in general applies to any of the RAS components

RAS Web Administration Service

Same OS requirements as for RAS Connection Broker (see above). Note that for larger environments (2000 or more concurrent connections), it is recommended to install the component on a dedicated server. For details, please see https://kb.parallels.com/en/124988

Please also note that Windows Server 2012 R2 must have the following updates installed:

• Windows Server 2012 R2 — KB2999226

Newer versions of Windows Server do not require any specific updates

RAS RD Session Host Agent

RAS RD Session Host Agent is supported on the following operating systems:

• Windows Server 2008 R2 up to Windows Server 2022

• Windows Server 2016 and newer must be installed using the "Desktop Experience" installation option.

• Windows Server 2012 R2 — Server Core installation option is not supported

RAS Provider Agent

• Windows Server 2012 R2 up to Windows Server 2022

RAS Guest Agent

• Windows Server 2008 R2 up to Windows Server 2022

• Windows 7 up to Windows 11

Remote PC Agent

• Windows Server 2008 R2 up to Windows Server 2022

• Windows 7 up to Windows 11

Parallels RAS PowerShell

• Windows Server 2012 R2 up to Windows Server 2022

• Windows 7 up to Windows 11

• Windows Management Framework 3.0 and .NET Framework 4.5.2 must be installed

Parallels RAS Console

• Windows Server 2012 R2 up to Windows Server 2022

• Windows 7 up to Windows 11

RAS Enrollment Server

• Windows Server 2012 R2 up to Windows Server 2022

Parallels Client

Parallels Client is approved for the following operating systems (both 32-bit and 64-bit systems are supported, where applicable):

• Windows 7, 8.x, 10, 11

• Windows Server 2008 R2 up to Windows Server 2022

• macOS 10.13 High Sierra up to macOS 12 Monterey. Parallels Client runs natively on both Intel and Apple M1 Mac computers.

• iOS 13.x, 14, 15; iPadOS 13.x, 14, 15.

• Android 7 up to 12

• Chrome OS

Parallels Client for Linux supports the following Linux distributions (x64 versions only):

• Ubuntu 18.04 LTS, 20.04 LTS

• Debian 10 (Buster), Debian 11 (Bullseye)

• Fedora 34, 35 • CentOS 7, 8

• Linux Mint 19, 20

• ThinOS/ Dell Wyse Thin Clients. Note that ThinOS 9 and above are not supported

 

For a list of supported thin clients and supported hardware from Technology Partners such as Igel, HP, 10Zig, and more, please see the following KB article: https://kb.parallels.com/124606

Was this article helpful?

Tell us how we can improve it.